diff --git i/openldap.spec w/openldap.spec
index feae96b..64091a7 100644
--- i/openldap.spec
+++ w/openldap.spec
@@ -10,7 +10,7 @@ Summary: LDAP support libraries
 License: OpenLDAP
 URL: http://www.openldap.org/
 
-Source0: ftp://ftp.OpenLDAP.org/pub/OpenLDAP/openldap-release/openldap-%{version}.tgz
+Source0: https://www.openldap.org/software/download/OpenLDAP/%{name}-release/%{name}-%{version}.tgz
 Source1: slapd.service
 Source2: slapd.tmpfiles
 Source3: slapd.ldif
@@ -220,6 +220,7 @@ pushd openldap-%{version}
 	--libexecdir=%{_libdir}
 
 make %{_smp_mflags}
+make -C contrib/slapd-modules/passwd/sha2 moduledir=%{_libdir}/%{name}
 popd
 
 pushd ltb-project-openldap-ppolicy-check-password-%{check_password_version}
@@ -234,6 +235,7 @@ mkdir -p %{buildroot}%{_libdir}/
 
 pushd openldap-%{version}
 make install DESTDIR=%{buildroot} STRIP=""
+make -C contrib/slapd-modules/passwd/sha2 install DESTDIR=%{buildroot} moduledir=%{_libdir}/%{name} STRIP=""
 popd
 
 # install check_password module
@@ -490,6 +492,7 @@ exit 0
 %{_libdir}/openldap/memberof*
 %{_libdir}/openldap/pcache*
 %{_libdir}/openldap/ppolicy*
+%{_libdir}/openldap/pw-sha2*
 %{_libdir}/openldap/refint*
 %{_libdir}/openldap/retcode*
 %{_libdir}/openldap/rwm*
